summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Kelly <pioto@gentoo.org>2007-05-07 19:06:14 +0000
committerMike Kelly <pioto@gentoo.org>2007-05-07 19:06:14 +0000
commit767e4f355f6b8340905c11d1f42e4586e33d15f5 (patch)
tree19c3109a45eb70f42cdd5dedebe1154d4a2804f3 /eclass/vim-plugin.eclass
parentMarked stable on amd64 for bug #173804 (diff)
downloadhistorical-767e4f355f6b8340905c11d1f42e4586e33d15f5.tar.gz
historical-767e4f355f6b8340905c11d1f42e4586e33d15f5.tar.bz2
historical-767e4f355f6b8340905c11d1f42e4586e33d15f5.zip
Add VIM_PLUGIN_VIM_VERSION to allow setting the minimum vim version properly.
Diffstat (limited to 'eclass/vim-plugin.eclass')
-rw-r--r--eclass/vim-plugin.eclass8
1 files changed, 5 insertions, 3 deletions
diff --git a/eclass/vim-plugin.eclass b/eclass/vim-plugin.eclass
index 3ba8595303be..b9ffc0b262e2 100644
--- a/eclass/vim-plugin.eclass
+++ b/eclass/vim-plugin.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/vim-plugin.eclass,v 1.20 2007/03/21 03:40:22 pioto Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/vim-plugin.eclass,v 1.21 2007/05/07 19:06:14 pioto Exp $
#
# This eclass simplifies installation of app-vim plugins into
# /usr/share/vim/vimfiles. This is a version-independent directory
@@ -10,9 +10,11 @@
inherit vim-doc
EXPORT_FUNCTIONS src_install pkg_postinst pkg_postrm
+VIM_PLUGIN_VIM_VERSION="${VIM_PLUGIN_VIM_VERSION:-6.4}"
+
IUSE=""
-DEPEND="|| ( >=app-editors/vim-6.3
- >=app-editors/gvim-6.3 )"
+DEPEND="|| ( >=app-editors/vim-${VIM_PLUGIN_VIM_VERSION}
+ >=app-editors/gvim-${VIM_PLUGIN_VIM_VERSION} )"
RDEPEND="${DEPEND}"
SRC_URI="mirror://gentoo/${P}.tar.bz2"
SLOT="0"